Bug 1394344 - [RFE] Improve Multihoming
Summary: [RFE] Improve Multihoming
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.4
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Lubomir Rintel
QA Contact: Desktop QE
Jiri Herrmann
URL:
Whiteboard:
Depends On:
Blocks: 1411731 1393481
TreeView+ depends on / blocked
 
Reported: 2016-11-11 18:26 UTC by Lubomir Rintel
Modified: 2017-08-01 09:19 UTC (History)
11 users (show)

Fixed In Version: NetworkManager-1.8.0-0.4.rc1.el7
Doc Type: Enhancement
Doc Text:
Enhanced networked reliability on multihomed hosts On interfaces with a route that is already present on another interface, the NetworkManager utility now automatically switches the reverse path filtering method from `Strict` to `Loose`. This enhances network reliability on multihomed host machines.
Clone Of:
Environment:
Last Closed: 2017-08-01 09:19:37 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2299 normal SHIPPED_LIVE Moderate: NetworkManager and libnl3 security, bug fix and enhancement update 2017-08-01 12:40:28 UTC

Description Lubomir Rintel 2016-11-11 18:26:08 UTC
In a situation where user user enables an address from a range he's using on different interface already on a higher-priority interface, rp_filter drops traffic from the original interface.

That causes the existing connections to time out.

A typical scenario is user with a router, that bridges wired LAN and WLAN plugging in a cable while he's already connected to a WLAN.

We need to figure out what to do about this.

One possibility is relaxing rp_filter on Workstation (from =1 to =2). Another would be dynamically changing the rp_filter if we detect the aforementioned situation.

Currently the rp_filter=1 is enabled by systemd's sysctl.conf.d

Comment 1 Lubomir Rintel 2017-03-28 14:02:59 UTC
Went in upstream: https://bugzilla.gnome.org/show_bug.cgi?id=780155

Comment 3 errata-xmlrpc 2017-08-01 09:19:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2299


Note You need to log in before you can comment on or make changes to this bug.